Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractDynamicHTTPMetadataResolver.BasicMetadataResponseHandler

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.AbstractDynamicHTTPMetadataResolver.BasicMetadataResponseHandler

All Implemented Interfaces:
  `org.apache.hc.core5.http.io.HttpClientResponseHandler<XMLObject>`

Enclosing class:
  AbstractDynamicHTTPMetadataResolver

public class AbstractDynamicHTTPMetadataResolver.BasicMetadataResponseHandler extends Object implements org.apache.hc.core5.http.io.HttpClientResponseHandler<XMLObject>
Basic HttpClient response handler for processing metadata fetch requests.

## Constructor Summary

Constructors
Constructor
Description
`BasicMetadataResponseHandler()`

## Method Summary

Modifier and Type
Method
Description
`XMLObject`
`handleResponse(org.apache.hc.core5.http.ClassicHttpResponse response)`
`protected void`
`validateHttpResponse(org.apache.hc.core5.http.ClassicHttpResponse response)`
Validate the received HTTP response instance, such as checking for supported content types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicMetadataResponseHandler

public BasicMetadataResponseHandler()

## Method Details

### handleResponse

public XMLObject handleResponse(org.apache.hc.core5.http.ClassicHttpResponse response) throws IOException

Specified by:
  `handleResponse` in interface `org.apache.hc.core5.http.io.HttpClientResponseHandler<XMLObject>`
Throws:
  `IOException`

### validateHttpResponse

protected void validateHttpResponse(@Nonnull org.apache.hc.core5.http.ClassicHttpResponse response) throws ResolverException
Validate the received HTTP response instance, such as checking for supported content types.

Parameters:
  `response` - the received response
Throws:
  `ResolverException` - if the response was not valid, or if there is a fatal error validating the response